Bug 794988 - Review Request: perl-Crypt-Blowfish_PP - Blowfish encryption algorithm implemented purely in Perl
Review Request: perl-Crypt-Blowfish_PP - Blowfish encryption algorithm implem...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
Depends On:
Blocks: 794990
  Show dependency treegraph
Reported: 2012-02-18 09:58 EST by Alec Leamas
Modified: 2013-10-12 15:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-23 14:25:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Alec Leamas 2012-02-18 09:58:59 EST
Spec : http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP.spec
SRPM: http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP-1.12-1.fc15.src.rpm

The Crypt::Blowfish_PP module provides for users to use the Blowfish
encryption algorithm in perl. The implementation is entirely Object
Oriented, as there is quite a lot of context inherent in making blowfish
x as fast as it is. The key is anywhere between 64 and 448 bits (8 and 56
bytes), and should be passed as a packed string. The transformation itself
is a 16-round Feistel Network, and operates on a 64 bit block.

It's a dependency of an upcoming request for get-flash-videos.

rpmlint is quiet besides weird spelling-errors warnings (also on installed package).

koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=3801146 (f17)
Comment 1 Alec Leamas 2012-02-18 09:59:50 EST
I don't have a package, and thus need a sponsor
Comment 3 Petr Šabata 2012-02-23 10:10:33 EST
Package Review

- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/794988/Crypt-Blowfish_PP-1.12.tar.gz :
  MD5SUM this package     : 6bf7dc80967eaf3047b67b26b015267d
  MD5SUM upstream package : 6bf7dc80967eaf3047b67b26b015267d
[!]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
[-]: SHOULD Spec use %global instead of %define.

TODO: Remove the %clean section.  This is no longer needed in Fedora.
TODO: Remove the 'rm -rf $RPM_BUILD_ROOT' from your %install section.  This is no longer needed.
FIX: Remove the 'x' from the beginning of the 4th line of your %description.

Generated by fedora-review 0.1.1
External plugins:
Comment 4 Alec Leamas 2012-02-23 10:20:47 EST
(In reply to comment #3)

> Issues:
> TODO: Remove the %clean section.  This is no longer needed in Fedora.

> TODO: Remove the 'rm -rf $RPM_BUILD_ROOT' from your %install section.  This is
> no longer needed.

> FIX: Remove the 'x' from the beginning of the 4th line of your %description.

Updated in-place without bumping release-nr, commented in changelog.
Comment 5 Petr Šabata 2012-02-23 10:33:42 EST
Um, nope, nope, and nope.

--- a/perl-Crypt-Blowfish_PP.spec
+++ b/perl-Crypt-Blowfish_PP.spec
@@ -1,13 +1,12 @@
 Name:           perl-Crypt-Blowfish_PP
 Version:        1.12
-Release:        2%{?dist}
+Release:        1%{?dist}
 Summary:        Blowfish encryption algorithm implemented purely in Perl
 Group:          Development/Libraries
 License:        GPL+ or Artistic
 URL:            http://search.cpan.org/~mattbm/Crypt-Blowfish_PP-1.12/Blowfish_PP.pm
 Source0:        http://search.cpan.org/CPAN/authors/id/M/MA/MATTBM/Crypt-Blowfish_PP-1.12.
 BuildArch:      noarch
 BuildRequires:  perl(ExtUtils::MakeMaker)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
@@ -48,15 +47,14 @@ rm -rf $RPM_BUILD_ROOT
+%doc README
-* Wed Feb 22 2012 Alec Leamas <alec@nowhere.com>             1.12-2
-- Re-enabling Requires: perl(:MODULE_COMPAT...)
-* Tue Feb 21 2012 Alec Leamas <alec@nowhere.com>             1.12-2
-- Removing defattr
 * Sat Jan 31 2012 Alec Leamas <alec@nowhere.com>             1.12-1
 - Intial packaging
Comment 6 Alec Leamas 2012-02-23 11:05:15 EST
New attempt, in place, no changelog (just forget that one...). Sorry :(
Comment 7 Petr Šabata 2012-02-23 11:43:28 EST
Ok, fixed.  Approving.
Please, add perl-sig to the InitialCC in your SCM request.
Comment 8 Alec Leamas 2012-02-23 13:48:36 EST
New Package SCM Request
Package Name: perl-Crypt-Blowfish_PP 
Short Description: Blowfish encryption algorithm implemented purely in Perl
Owners: leamas
Branches: f15 f16 f17
InitialCC: perl-sig
Comment 9 Jon Ciesla 2012-02-23 14:04:18 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-03-20 10:40:41 EDT
perl-Crypt-Blowfish_PP-1.12-2.fc17 has been submitted as an update for Fedora 17.
Comment 11 Fedora Update System 2012-03-20 10:41:37 EDT
perl-Crypt-Blowfish_PP-1.12-2.fc16 has been submitted as an update for Fedora 16.
Comment 12 Fedora Update System 2012-03-20 10:42:46 EDT
perl-Crypt-Blowfish_PP-1.12-2.fc15 has been submitted as an update for Fedora 15.
Comment 13 Fedora Update System 2012-03-30 23:17:03 EDT
perl-Crypt-Blowfish_PP-1.12-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-04-11 23:09:52 EDT
perl-Crypt-Blowfish_PP-1.12-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Alec Leamas 2013-10-12 07:00:13 EDT
Package Change Request
Package Name: perl-Crypt-Blowfish_PP
New Branches: el6
Owners: georgiou
Comment 16 Jon Ciesla 2013-10-12 15:06:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.